## f_close

The f_close function closes an open file.

    FRESULT f_close (
      FIL* FileObject     /* Pointer to the file object structure */
    );

#### Parameter

FileObject
  Pointer to the open file object structure to be closed.

#### Return Values

FR_OK (0)
  The file object has been closed successfuly.
FR_DISK_ERR
  The function failed due to an error in the disk function.
FR_INT_ERR
  The function failed due to a wrong FAT structure or an internal error.
FR_NOT_READY
  The disk drive cannot work due to no medium in the drive or any other reason.
FR_INVALID_OBJECT
  The file object is invalid.

#### Description

The f_close function closes an open file object. If any data has been written to the file, the cached information of the file is written back to the disk. After the function succeeded, the file object is no longer valid and it can be discarded. If the file object has been opened in read-only mode, it may be discarded without closing process by this function but not recommended.

#### QuickInfo

Always available.

#### See Also

`f_open, f_read, f_write, f_sync, FIL, FATFS`

Return